无标题文档
wdCP系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdCDN系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
wdOS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdDNS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
注册 发贴 提问 回复-必看必看 wddns免费智能 DNS 开通 本地或虚拟机使 用wdcp 一键包在mysql编 译时"卡住"
【300G高防】双线 无视攻击 wdcp官方技术支持/服务 阿里云8折优惠券 无敌云 腾讯云优惠中,现注册更有260代金额券赠送
返回列表 发帖
提问三步曲: 提问先看教程/FAQ索引(wdcp,wdcp_v3,一键包)及搜索,会让你更快解决问题
1 提供详细,如系统版本,wdcp版本,软件版本等及错误的详细信息,贴上论坛或截图发论坛
2 做过哪些操作或改动设置等

温馨提示:信息不详,很可能会没人理你!论坛有教程说明的,也可能没人理!因为,你懂的
多版本PHP的手动启动|停止|重起
如:5.5
/www/wdlinux/phps/55/bin/php-fpm start
运行之后报错。
多版本,只有点5.2版本有效 其它的版本都是已安装未运行。
你好wdcp

TOP

php 启动失败了,各个版本都是一样,这个有了解的吗?
/www/wdlinux/phps/55/bin/php-fpm start
Starting php-fpm /www/wdlinux/phps/55/sbin/php-fpm: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory
failed
夏翼天

TOP

[root@chounong ~]# wget http://down.wdlinux.cn/in/phps.sh
--2018-03-14 18:53:35--  http://down.wdlinux.cn/in/phps.sh
Resolving down.wdlinux.cn (down.wdlinux.cn)... 119.146.223.143
Connecting to down.wdlinux.cn (down.wdlinux.cn)|119.146.223.143|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 6019 (5.9K) [application/octet-stream]
Saving to: ?𻱰hps.sh.1?

100%[====================>] 6,019       --.-K/s   in 0.01s   

2018-03-14 18:53:35 (472 KB/s) - ?𻱰hps.sh.1?𼀠saved [6019/6019]

[root@chounong ~]# sh phps.sh
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Package gcc-4.8.5-16.el7_4.2.x86_64 already installed and latest version
Package gcc-c++-4.8.5-16.el7_4.2.x86_64 already installed and latest version
Package 1:make-3.82-23.el7.x86_64 already installed and latest version
Package sudo-1.8.19p2-11.el7_4.x86_64 already installed and latest version
Package autoconf-2.69-11.el7.noarch already installed and latest version
Package libtool-ltdl-devel-2.4.2-22.el7_3.x86_64 already installed and latest version
Package gd-devel-2.0.35-26.el7.x86_64 already installed and latest version
Package freetype-devel-2.4.11-15.el7.x86_64 already installed and latest version
Package libxml2-devel-2.9.1-6.el7_2.3.x86_64 already installed and latest version
Package libjpeg-turbo-devel-1.2.90-5.el7.x86_64 already installed and latest version
Package 2:libpng-devel-1.5.13-7.el7_2.x86_64 already installed and latest version
Package 1penssl-devel-1.0.2k-8.el7.x86_64 already installed and latest version
Package libcurl-devel-7.29.0-42.el7_4.1.x86_64 already installed and latest version
Package patch-2.7.1-8.el7.x86_64 already installed and latest version
Package libmcrypt-devel-2.5.8-13.el7.x86_64 already installed and latest version
Package mhash-devel-0.9.9.9-10.el7.x86_64 already installed and latest version
Package ncurses-devel-5.9-14.20130511.el7_4.x86_64 already installed and latest version
Package bzip2-1.0.6-13.el7.x86_64 already installed and latest version
Package libcap-devel-2.22-9.el7.x86_64 already installed and latest version
Package ntp-4.2.6p5-25.el7.centos.2.x86_64 already installed and latest version
No package sysklogd available.
Package diffutils-3.3-4.el7.x86_64 already installed and latest version
Package sendmail-8.14.7-5.el7.x86_64 already installed and latest version
Package iptables-1.4.21-18.3.el7_4.x86_64 already installed and latest version
Package unzip-6.0-16.el7.x86_64 already installed and latest version
Package cmake-2.8.12.2-2.el7.x86_64 already installed and latest version
Package wget-1.14-15.el7_4.1.x86_64 already installed and latest version
Package re2c-0.14.3-2.el7.x86_64 already installed and latest version
Package bison-3.0.4-1.el7.x86_64 already installed and latest version
Package icu-50.1.2-15.el7.x86_64 already installed and latest version
Package libicu-50.1.2-15.el7.x86_64 already installed and latest version
Package libicu-devel-50.1.2-15.el7.x86_64 already installed and latest version
Package net-tools-2.0-0.22.20131004git.el7.x86_64 already installed and latest version
Package psmisc-22.20-15.el7.x86_64 already installed and latest version
Package 2:vim-enhanced-7.4.160-2.el7.x86_64 already installed and latest version
Nothing to do
5.4.45 is Installed
5.5.38 is Installed
5.6.30 is Installed
7.0.18 is Installed
7.1.4 is Installed


      configurations, phps install is complete
      visit http://ip:8080
      more infomation please visit http://www.wdlinux.cn/bbs/
其他版本不能从新安装
[root@chounong wdlinux]# cd  phps
[root@chounong phps]# ls
55
怎么解决多版本安装

TOP

正在安装中,希望能稳定

TOP

yum install -y icu libicu libicu-devel 什么意思
天下无双

TOP

怎么赚金币啊
老陈

TOP

开启php7出现错误

TOP

本帖最后由 xzone10 于 2018-4-14 11:22 编辑

aliiyun linux 5.7系统
安装了多版本php后,只有5.2可以启动,其他在后台启动不了;
其他php版本在后台点击启动按钮是有启动成功提示的,但是刷新后那个版本还是未启动;
然后只能nginx+apahce或者单apache模式;但是网站访问比较卡;
如果切换单nginx模式就出现502报错;

求大大们解答下要如何解决??

TOP

本帖最后由 xzone10 于 2018-4-15 00:09 编辑

@admin
补充,ssh手动执行启动php某个版本提示如下
/www/wdlinux/phps/54/bin/php-fpm start

Gracefully shutting down php-fpm warning, no pid file found - php-fpm is not running ?
Starting php-fpm [14-Apr-2018 23:57:10] ERROR: No pool defined. at least one pool section must be specified in config file
[14-Apr-2018 23:57:10] ERROR: failed to post process the configuration
[14-Apr-2018 23:57:10] ERROR: FPM initialization failed

TOP

6666666666666666

TOP

vm12.5.6 + CentOS-7-x86_64-DVD-1804.iso  安装wdlinux 3.2 lnmp后黑屏。重新安装几次也都是这个状态 。
个性签名

TOP

回复 1# admin


    ffd

TOP

nginx+apahce
怎样升级默认php版本,论坛上有用脚本升级一下,php -v查看还是原来的5.5,而phpinfo()下是升级后的5.6

TOP

谢谢,正需要。
凑合活着

TOP

返回列表